# Program to download raw state by state shapefiles
# Going to do 

library(tidyverse)
library(stringr)

homedir = '<set to directory>'

setwd(homedir)

dir.create('data/raw_shapes')

# Bring in state abbreviations
states = read.csv('data/reference/fips2abbrev.csv')
states$fipsclean = str_pad(states$fips,2,pad = '0')
states = filter(states, fips <=56, abbrev != '')

for(st in c(45:51,53:56) ){ #unique(states$fipsclean)
  
  sturl = paste('https://www2.census.gov/geo/tiger/TIGER2010/TABBLOCK/2010/tl_2010_',st,'_tabblock10.zip',sep = '')
  stdir = paste('data/raw_shapes/tl_2010_',st,'_tabblock10.zip',sep = '')
  # stdir = paste('data/raw_shapes/tabblock2010_',st,'_pophu.zip',sep = '')
  
  download.file(sturl,stdir)
}
